## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# FIXME: Test won't work offline
%bcond_with check

%global pypi_name   BuildStream-external
%global sysname     bst_external

Name:           bst-external
Version:        0.30.0
Release:        %autorelease
Summary:        Additional BuildStream plugins
BuildArch:      noarch

# Automatically converted from old format: LGPLv2+ - review is highly recommended.
License:        LicenseRef-Callaway-LGPLv2+
URL:            https://gitlab.com/BuildStream/bst-external
Source0:        %{pypi_source}

BuildRequires:  python3-devel >= 3.11

BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(pytest) >= 3.1.0
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tomli)
%if %{with check}
# FIXME: Package was retired in Fedora
# * https://bugzilla.redhat.com/show_bug.cgi?id=1839789
# * https://gitlab.com/BuildStream/bst-external/-/issues/44
#BuildRequires:  python3dist(pep8)
#BuildRequires:  python3dist(pytest-pep8)

#BuildRequires:  python3dist(pytest-env)
BuildRequires:  python3dist(buildstream)
BuildRequires:  python3dist(coverage) >= 4.4
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-datafiles)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(ruamel-yaml)
%endif

%description
A collection of BuildStream plugins that don't fit in with the core plugins for
whatever reason.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed 's|coverage == 4.4.0|coverage|' -i setup.py


%build
%py3_build


%install
%py3_install


%if %{with check}
%check
export PATH=%{buildroot}%{_bindir}:${PATH} 
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{python3} -m pytest -v
%endif


%files
%license LICENSE
%doc README.rst NEWS MAINTAINERS
%{python3_sitelib}/%{sysname}/
%{python3_sitelib}/BuildStream_external-%{version}-py%{python3_version}.egg-info


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 0.30.0-8
- convert license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.30.0-6
- Rebuilt for Python 3.13

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.30.0-2
- Rebuilt for Python 3.12

* Fri Mar 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.30.0-1
- chore(update): 0.30.0

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.29.0-2
- build: BR: Replace toml with tomli

* Thu Aug 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.29.0-1
- chore(update): 0.29.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jun 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.28.1-1
- chore(update): 0.28.1

* Tue Jun 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.28.0-1
- chore(update): 0.28.0

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.27.1-3
- Rebuilt for Python 3.11

* Wed May 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.27.1-1
- chore(update): 0.27.1

* Thu Feb 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.0-1
- chore(update): 0.26.0

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 17 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.0-1
- build(update): 0.25.0

* Sat Aug 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.0-1
- build(update): 0.24.0

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.1-1
- build(update): 0.23.1

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.21.0-4
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 2021 Miro Hrončok <mhroncok@redhat.com> - 0.21.0-2
- Switch from pytoml to toml
- Fixes: rhbz#1899488

* Sat Oct  3 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- Update to 0.21.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-2
- Adapt for Fedora packaging guidelines

* Sun Mar 01 2020 gasinvein <gasinvein@gmail.com> - 0.20.0-1
- new version

* Wed Nov 27 2019 gasinvein <gasinvein@gmail.com> - 0.19.1-1
- new version

* Fri Sep 27 2019 gasinvein <gasinvein@gmail.com> - 0.18.0-1
- new version

* Sat Jun  8 2019 gasinvein <gasinvein@gmail.com>
- Initial package

## END: Generated by rpmautospec
